考试大试题网 发布于 2017-05-10 09:30

搭建如下php开发环境:

  • windows 8.1

  • php-5.2.14-Win32-VC6-x86.zip下载连接

  • httpd-2.2.31-x64.zip

已经成功配置apache2.2并且正常运行,在htpd.conf文件中配置如下项目之后

#BEGIN PHP INSTALLER EDITS - REMOVE ONLY ON UNINSTALL
PHPIniDir "d:/pf/php/"
LoadModule php5_module "d:/pf/php/php5apache2_2.dll"
AddType application/x-httpd-php .php
#END PHP INSTALLER EDITS - REMOVE ONLY ON UNINSTALL

重启apache报错如下:

D:\pf\apache\bin>httpd
httpd: Syntax error on line 132 of 
D:/pf/apache/conf/httpd.conf: Cannot load 
D:/pf/php/php5apache2_2.dll into server: 
%1\xb2\xbb\xca\xc7\xd3\xd0\xd0\xa7\xb5\xc4 
Win32 \xd3\xa6\xd3\xc3\xb3\xcc\xd0\xf2\xa1\xa3

路径配置肯定是对的。在网上也没有找到有用的信息,暂时已经没有思路了,请各位指导指导,感激不尽。

6 个回答
  • 最终也没有解决掉can't load php5apache2_2.dll的问题。
    从网上下载了一个php版本为5.2.17的php study 凑合着用.....

    2017-05-10 18:10 回答
  • 可以的,64位系统兼容32位软件

    2017-05-10 15:28 回答
  • 我这里有很多32位的,今天技术总监要求我装5.2的,网址在http://windows.php.net/downloads/releases/archives

    2017-05-10 15:10 回答
  • 一般 64位的系统可以安装 32位的软件的,没问题的,win7 环境下我都是64位系统,搭配的是 32位apache + 32位php 的。

    2017-05-11 04:54 回答
  • 用5.3以上吧

    2017-05-10 14:56 回答
  • 为啥不可以呢。。

    2017-05-10 11:10 回答
撰写答案
今天,你开发时遇到什么问题呢?
立即提问
活跃用户
  • 1
    问道摩托
  • 2
    袁广龙976丶
  • 3
    逍遥子
  • 4
    亮仔
  • 5
    芙蓉花
  • 6
    作小die_syj
  • 7
    mobiledu2502875483
  • 8
    王丽珠景平怡伦_621
  • 9
    adfa3sd5f6a
  • 10
    欣欣大妮
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有